!---------------------------------------------------------------
! Copyright (C) 2009-2015 GFD Dennou Club. All rights reserved.
!---------------------------------------------------------------

module Math_Const  ! 
  implicit none
  real, parameter :: pi=3.14159265  ! ߼Ψ
  complex, parameter :: img=(0.0,1.0)  ! ñ
  complex, save, dimension(0:1,0:1) :: romega2  ! ȿ 2 βž (Ѵ)
  complex, save, dimension(0:2,0:2) :: romega3  ! ȿ 3 βž (Ѵ)
  complex, save, dimension(0:4,0:4) :: romega5  ! ȿ 5 βž (Ѵ)
  complex, save, dimension(0:6,0:6) :: romega7  ! ȿ 7 βž (Ѵ)
  complex, save, dimension(0:1,0:1) :: iomega2  ! ȿ 2 βž (Ѵ)
  complex, save, dimension(0:2,0:2) :: iomega3  ! ȿ 3 βž (Ѵ)
  complex, save, dimension(0:4,0:4) :: iomega5  ! ȿ 5 βž (Ѵ)
  complex, save, dimension(0:6,0:6) :: iomega7  ! ȿ 7 βž (Ѵ)

contains

  subroutine rotate_array()
  ! FFT Ѥβž׻
  implicit none

  integer :: i, j

  romega2=1.0
  romega2(1,1)=-1.0
  do j=0,2
     do i=0,2
        romega3(i,j)=cos(2.0*pi*i*j/3.0)-img*sin(2.0*pi*i*j/3.0)
     end do
  end do
  do j=0,4
     do i=0,4
        romega5(i,j)=cos(2.0*pi*i*j/5.0)-img*sin(2.0*pi*i*j/5.0)
     end do
  end do
  do j=0,6
     do i=0,6
        romega7(i,j)=cos(2.0*pi*i*j/7.0)-img*sin(2.0*pi*i*j/7.0)
     end do
  end do

  iomega2=1.0
  iomega2(1,1)=-1.0
  do j=0,2
     do i=0,2
        iomega3(i,j)=cos(2.0*pi*i*j/3.0)+img*sin(2.0*pi*i*j/3.0)
     end do
  end do
  do j=0,4
     do i=0,4
        iomega5(i,j)=cos(2.0*pi*i*j/5.0)+img*sin(2.0*pi*i*j/5.0)
     end do
  end do
  do j=0,6
     do i=0,6
        iomega7(i,j)=cos(2.0*pi*i*j/7.0)+img*sin(2.0*pi*i*j/7.0)
     end do
  end do


  end subroutine rotate_array

end module
